Bug 96225 - editing some accented characters can modify a document opened in read-only
Summary: editing some accented characters can modify a document opened in read-only
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Read-Only
  Show dependency treegraph
 
Reported: 2015-12-03 11:02 UTC by GUTH Christophe
Modified: 2017-07-01 18:21 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
original file to open in read-only mode (7.79 MB, application/vnd.openxmlformats-officedocument.presentationml.presentation)
2015-12-03 11:02 UTC, GUTH Christophe
Details
screenshort before (714.61 KB, image/jpeg)
2015-12-03 11:13 UTC, GUTH Christophe
Details
after adding the character "é" (729.54 KB, image/jpeg)
2015-12-03 11:14 UTC, GUTH Christophe
Details

Note You need to log in before you can comment on or make changes to this bug.
Description GUTH Christophe 2015-12-03 11:02:52 UTC
Created attachment 120989 [details]
original file to open in read-only mode

Hello,

I opened a PPT file with Impress, Lo opens it in read-only mode (visible on up of screenshots).

I go on page 6 and click after the text "Travaux préparatoires", then I enter the character "é" - the character is added to the text (other characters like "à" or "ç" seems not change the text)

I add the two files and two screens shots (before and after the character "é")
Comment 1 GUTH Christophe 2015-12-03 11:13:34 UTC
Created attachment 120990 [details]
screenshort before

note the readonly mode displayed
Comment 2 GUTH Christophe 2015-12-03 11:14:04 UTC
Created attachment 120991 [details]
after adding the character "é"
Comment 3 Buovjaga 2015-12-05 17:14:10 UTC
Does it also happen if you paste the letter é? I could not enter it (by any method).

Win 7 Pro 64-bit, Version: 5.0.3.2 (x64)
Build ID: e5f16313668ac592c1bfb310f4390624e3dbfb75
Locale: fi-FI (fi_FI)

Version: 5.2.0.0.alpha0+
Build ID: 81fa5340191baf8687f9c82f1f414f5afc86b529
Threads 4; Ver: Windows 6.1; Render: default; 
TinderBox: Win-x86@62-merge-TDF, Branch:MASTER, Time: 2015-12-03_21:19:19
Locale: fi-FI (fi_FI)
Comment 4 Dave Barton 2015-12-05 17:57:49 UTC
Strange! If I open the "original" file directly from the link above, it is "Read Only", but if I save it first and open locally it opens normally.

Linux RPM - Version: 5.0.3.2 (x64)
Build ID: e5f16313668ac592c1bfb310f4390624e3dbfb75

Win 7 Pro - Version: 5.1.0.0.beta2 (x64)
Build ID: 53054959a12edc6510f51b94ddc9b73d27aedaf6

Win 7 Pro - Version: 5.0.3.2 (x64)
Build ID: e5f16313668ac592c1bfb310f4390624e3dbfb7
Comment 5 Pedro 2015-12-05 18:30:30 UTC
(In reply to Dave Barton from comment #4)
> Strange! If I open the "original" file directly from the link above, it is
> "Read Only", but if I save it first and open locally it opens normally.

That is how it is supposed to behave when opening directly from the Internet (for safety).

But that is not the point. When opening the local file (with File Open) you should check the box "Read only". If you double click on the file it will always open in edit mode.

The issue here is that the OP says that adding the character é switches the document to edit mode. 

I can not confirm this bug. Opening the document in Read Only mode does not allow to type any character. Not even é.
Comment 6 Dave Barton 2015-12-05 18:52:13 UTC
(In reply to Pedro from comment #5)
> (In reply to Dave Barton from comment #4)
> > Strange! If I open the "original" file directly from the link above, it is
> > "Read Only", but if I save it first and open locally it opens normally.
> 
> That is how it is supposed to behave when opening directly from the Internet
> (for safety).
> 
> But that is not the point. When opening the local file (with File Open) you
> should check the box "Read only". If you double click on the file it will
> always open in edit mode.
> 
> The issue here is that the OP says that adding the character é switches the
> document to edit mode. 
> 
> I can not confirm this bug. Opening the document in Read Only mode does not
> allow to type any character. Not even é.

My sincere apologies for attempting to be of some small assistance.
Bye!
Comment 7 Pedro 2015-12-05 19:29:14 UTC
Hi Dave

(In reply to Dave Barton from comment #6)
> > The issue here is that the OP says that adding the character é switches the
> > document to edit mode. 
> 
> My sincere apologies for attempting to be of some small assistance.
> Bye!

I apologize if my comments sounded rude. I just pointed out that your comment missed the problem.
Any small assistance is welcome on this project! Again, I'm sorry if my comment was offensive (English is not my native language).
Comment 8 GUTH Christophe 2015-12-07 14:41:13 UTC
(In reply to Beluga from comment #3)
> Does it also happen if you paste the letter é? I could not enter it (by any
> method).
> 
> Win 7 Pro 64-bit, Version: 5.0.3.2 (x64)
> Build ID: e5f16313668ac592c1bfb310f4390624e3dbfb75
> Locale: fi-FI (fi_FI)
> 
> Version: 5.2.0.0.alpha0+
> Build ID: 81fa5340191baf8687f9c82f1f414f5afc86b529
> Threads 4; Ver: Windows 6.1; Render: default; 
> TinderBox: Win-x86@62-merge-TDF, Branch:MASTER, Time: 2015-12-03_21:19:19
> Locale: fi-FI (fi_FI)

response to comment 3 :

in fact it does not occur when pasting the character é. I've tried it. The only way to enter this char (while the document is in read-only mode) is to use the key "é" on a french keyboard. 

Pasting it won't change the document.
Using ALT+0233 don't change the document too.

My PPT was saved on the root (C:\Modele ppt conseil.pptx) (probably the reason for the read-only mode when opened).

I guess that the key code was forgot somewhere.

All other french accented characters (like "è" "ç" "à") on a french keyboard are bloqued as expected, except "é".
Comment 9 Pedro 2015-12-07 14:50:29 UTC
(In reply to GUTH Christophe from comment #8)

> All other french accented characters (like "è" "ç" "à") on a french keyboard
> are bloqued as expected, except "é".

This needs to be tested by someone with a French keyboard. 

Please ignore Comment #5 since the Portuguese keyboard does NOT have an "é" key. The "é" character is created by pressing the acute accent key and then the E key, which is not the same.
Comment 10 GUTH Christophe 2015-12-07 14:56:09 UTC
(In reply to Pedro from comment #5)
> (In reply to Dave Barton from comment #4)
> > Strange! If I open the "original" file directly from the link above, it is
> > "Read Only", but if I save it first and open locally it opens normally.
> 
> That is how it is supposed to behave when opening directly from the Internet
> (for safety).
> 
> But that is not the point. When opening the local file (with File Open) you
> should check the box "Read only". If you double click on the file it will
> always open in edit mode.
> 
> The issue here is that the OP says that adding the character é switches the
> document to edit mode. 
> 
> I can not confirm this bug. Opening the document in Read Only mode does not
> allow to type any character. Not even é.

In fact, the issue is : when the ppt is open in readonly mode, the letter "é" (on french keyboard) can change a text in the document, but the document itself stay in read-only (as you can see it in attachments)

Other accented letters on french beyboard are bloqued as expected in read-only mode.
Comment 11 Jacques Guilleron 2015-12-07 17:23:06 UTC
Hi Christophe,

Opening your file locally in read-only mode, I confirm you can add the "é" character to this string, and also 2, 4, 6, 8, from numeric keypad, or same keys from first row keyboard with Shift , or Altgr (~{|\).
However, this can do only into a table and cannot be saved.
So, this make a displaying anomaly and a read-only defect.
Tried with
LO 5.0.3.2 Build ID: e5f16313668ac592c1bfb310f4390624e3dbfb75 
Locale : fr-FR (fr_FR)
& Windows 7 Home.
Does somebody confirm this, particularly on other OSes or is it only a Windows issue on french locale?
Comment 12 GUTH Christophe 2015-12-08 06:15:59 UTC
(In reply to Jacques Guilleron from comment #11)
> Hi Christophe,
> 
> Opening your file locally in read-only mode, I confirm you can add the "é"
> character to this string, and also 2, 4, 6, 8, from numeric keypad, or same
> keys from first row keyboard with Shift , or Altgr (~{|\).
> However, this can do only into a table and cannot be saved.
> So, this make a displaying anomaly and a read-only defect.
> Tried with
> LO 5.0.3.2 Build ID: e5f16313668ac592c1bfb310f4390624e3dbfb75 
> Locale : fr-FR (fr_FR)
> & Windows 7 Home.
> Does somebody confirm this, particularly on other OSes or is it only a
> Windows issue on french locale?

I've opened it under OpenSuse Leap 42.1 x86_64 in read only mode with LibreOffice 5.0.2.2. I tried to modify a text in a table (page 7, the text "Travaux"). The letter "é" is bloqued but i can confirm that the keys "2" "4" "6" and "8" on the numeric keypad, the keys "2" (shift+"é"), "4" (shift+"'"), "6" (shift+"-"), "8" (shift +"_") on the alphabetic part of the keyboard are not bloqued properly (on a french keyboard too).

I've done the same test under Windows 7 with LibreOffice 5.0.3.2 and the keys "2","4","6","8" on the alpabetic part of the keyboard are not bloqued too.

Thanks
Comment 13 GUTH Christophe 2015-12-08 06:23:42 UTC
Tested on Apache OpenOffice 3.4.1, the behaviour is the same as LibreOffice, it's not a recent bug
Comment 14 QA Administrators 2017-01-03 19:41:10 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.1.6 or 5.2.3  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20170103